View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
15067Bug reportsRemoteControlpublic2019-11-03 15:57
Reporterandre_ars Assigned Tocdorin  
PrioritynoneSeveritypartial_block 
Status closedResolutionno change required 
Product Version4.0.0-RC1 
Summary15067: delete_participants function not working
Descriptionwhen calling function delete_participants, it returns an error
Additional Informationwas working on previous version 3.17.7
TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)3.17.8
I will donate to the project if issue is resolvedYes
BrowserFirefox
Database type & versionMariaDB 10.2
Server OS (if known)Centos
Webserver software & version (if known)apache
PHP Version7.2

Relationships

related to 14163 closeddominikvitt 3.15.1 JSON API problem on delete_participants 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

ollehar

ollehar

2019-08-20 16:37

administrator   ~53202

1. It's not clear if you use LS4 or 3.17
2. Please copy-paste the entire error message
andre_ars

andre_ars

2019-08-21 11:12

reporter   ~53213

Dear ollehar, at this time I can't replicate the problem. I went back to the stable version.

The error (from queXS) was:

Uncaught Exception: Request error: CDbCommand falhou ao executar o comando SQL: SQLSTATE[42000]: Syntax error or access violation: 1064 You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near 'LIMIT 1'

I remember that the syntax was in fact correct, I tried to replicate the error manually with success.

This exact same error was also present from version 3.15 until 3.17.1

in fact, I've just remembered that I also reported the same error with all the details back in 2018:

https://bugs.limesurvey.org/view.php?id=14163
ollehar

ollehar

2019-08-21 11:19

administrator   ~53214

From which version did you back to? And to which version? Please be precise. ;)
andre_ars

andre_ars

2019-08-21 15:33

reporter   ~53219

i'm now with 3.17.9 (and it's working ok), but, as you may recall (https://bugs.limesurvey.org/view.php?id=15066) I was one (?) of the unfortunate ones that downloaded the 4.0.0 RC1 (where the the function doesn't work).

Since the 3.17.10 was just released, I may also test it this week.
cdorin

cdorin

2019-09-23 09:40

manager   ~53672

Hello @andre_ars, do you have any updates :) ?
cdorin

cdorin

2019-11-03 15:56

manager   ~54350

I will close the ticket for the moment due to lack of updates.

Issue History

Date Modified Username Field Change
2019-07-23 08:54 andre_ars New Issue
2019-08-20 16:37 ollehar Note Added: 53202
2019-08-20 16:39 cdorin Assigned To => cdorin
2019-08-20 16:39 cdorin Status new => feedback
2019-08-21 11:12 andre_ars Note Added: 53213
2019-08-21 11:12 andre_ars Status feedback => assigned
2019-08-21 11:19 ollehar Note Added: 53214
2019-08-21 11:19 ollehar Relationship added related to 14163
2019-08-21 15:33 andre_ars Note Added: 53219
2019-09-23 09:40 cdorin Status assigned => feedback
2019-09-23 09:40 cdorin Note Added: 53672
2019-11-03 15:56 cdorin Status feedback => closed
2019-11-03 15:56 cdorin Resolution open => fixed
2019-11-03 15:56 cdorin Note Added: 54350
2019-11-03 15:57 cdorin Resolution fixed => no change required